// packageE/others/cloudwarehouse/cloudReleaseLog/cloudReleaseLog.js
const app = getApp();
Page({

  /**
     * 页面的初始数据
     */
  data: {
    active:'',
    id:'',
    info:[]
  },

  /**
     * 生命周期函数--监听页面加载
     */
  onLoad: function (options) {
    if(options.id){
      this.setData({
        id : options.id
      });
    }
    if(options.active){
      this.setData({
        active : options.active
      });
    }
    this.getData();
  },

  /**
     * 生命周期函数--监听页面初次渲染完成
     */
  onReady: function () {

  },

  /**
     * 生命周期函数--监听页面显示
     */
  onShow: function () {

  },

  /**
     * 生命周期函数--监听页面隐藏
     */
  onHide: function () {

  },

  /**
     * 生命周期函数--监听页面卸载
     */
  onUnload: function () {

  },

  /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
  onPullDownRefresh: function () {

  },

  /**
     * 页面上拉触底事件的处理函数
     */
  onReachBottom: function () {

  },

  /**
     * 用户点击右上角分享
     */
  onShareAppMessage: function () {

  },
  getData(){
    let that = this;
    let url ;
    let json ;
    if(this.data.active == 0){
      url = "plugin.cloud-warehouse.frontend.dividend.complete-unseal-buy-log";
      json = {
        id:that.data.id,
      };
    }else{
      url = "plugin.cloud-warehouse.frontend.dividend.wait-unseal-buy-log";
      json = {
        wg_id:that.data.id,
      };
    }
    let urlStr = app.getNetAddresss(url);
    app._getNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info: res.data
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});